import Firebase, {firestore} from '../lib/firebase';

class Log {
  constructor() {
    this.firestore = firestore;
  }

  async logAction(where, action) {
    await firestore.collection('logs').add({
      action,
      where,
      deleted: false,
      creationDate: Firebase.firestore.FieldValue.serverTimestamp(),
    });
  }
}

export default new Log();
